> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Test Case

> Get a test case by ID.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/simulation/test-cases/{test_case_id}
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/simulation/test-cases/{test_case_id}:
    get:
      tags:
        - Simulation
      summary: Get Test Case
      description: Get a test case by ID.
      operationId: core_api_v1_controllers_simulation_get_test_case
      parameters:
        - in: path
          name: test_case_id
          schema:
            title: Test Case Id
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimulationTestCaseOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    SimulationTestCaseOut:
      description: Response schema for simulation test cases.
      properties:
        object:
          default: simulation_test_case
          title: Object
          type: string
        id:
          title: Id
          type: string
        question:
          title: Question
          type: string
        expected_type:
          title: Expected Type
          type: string
        expected_answer:
          anyOf:
            - type: string
            - type: 'null'
          title: Expected Answer
        expected_tool_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Expected Tool Name
        expected_tool_args:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Expected Tool Args
        expected_agent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Expected Agent Id
        expected_agent_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Expected Agent Name
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
        order:
          anyOf:
            - type: integer
            - type: 'null'
          title: Order
        persona_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Persona Id
        persona_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Persona Name
        api_data_overrides:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Api Data Overrides
        tool_call_overrides:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Tool Call Overrides
        steps:
          default: []
          items:
            $ref: '#/components/schemas/ConversationStepOut'
          title: Steps
          type: array
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
      required:
        - id
        - question
        - expected_type
      title: SimulationTestCaseOut
      type: object
    ConversationStepOut:
      description: Response schema for a conversation step.
      properties:
        id:
          title: Id
          type: string
        step_order:
          title: Step Order
          type: integer
        user_message:
          title: User Message
          type: string
        expected_type:
          title: Expected Type
          type: string
        expected_answer:
          anyOf:
            - type: string
            - type: 'null'
          title: Expected Answer
        expected_tool_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Expected Tool Name
        expected_tool_args:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Expected Tool Args
        expected_agent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Expected Agent Id
      required:
        - id
        - step_order
        - user_message
        - expected_type
      title: ConversationStepOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````